Package org.eclipse.jdt.core.manipulation

## Class TypeKinds

- java.lang.Object
- - org.eclipse.jdt.core.manipulation.TypeKinds

    public class TypeKinds
    extends Object

Contains various properties for a Java element.

Since:
  1.10

### Field Summary

Fields
`static int` `ALL_TYPES`
`static int` `ANNOTATIONS`
`static int` `CLASSES`
`static int` `ENUMS`
`static int` `INTERFACES`
`static int` `PRIMITIVETYPES`
`static int` `REF_TYPES`
`static int` `REF_TYPES_AND_VAR`
`static int` `VARIABLES`
`static int` `VOIDTYPE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLASSES

    public static final int CLASSES

See Also:
  Constant Field Values

#### INTERFACES

    public static final int INTERFACES

See Also:
  Constant Field Values

#### ANNOTATIONS

    public static final int ANNOTATIONS

See Also:
  Constant Field Values

#### ENUMS

    public static final int ENUMS

See Also:
  Constant Field Values

#### VARIABLES

    public static final int VARIABLES

See Also:
  Constant Field Values

#### PRIMITIVETYPES

    public static final int PRIMITIVETYPES

See Also:
  Constant Field Values

#### VOIDTYPE

    public static final int VOIDTYPE

See Also:
  Constant Field Values

#### REF_TYPES

    public static final int REF_TYPES

See Also:
  Constant Field Values

#### REF_TYPES_AND_VAR

    public static final int REF_TYPES_AND_VAR

See Also:
  Constant Field Values

#### ALL_TYPES

    public static final int ALL_TYPES

See Also:
  Constant Field Values